-- Version: Designer v5.2 5.2.0.14

library ieee;
use ieee.std_logic_1164.all;
library Axcelerator;

entity SHREG10 is

    port(CLR, CLK : in std_logic; REG8 : out std_logic);

end SHREG10;

architecture DEF_ARCH of SHREG10 is 

  component DFC1B
    port(D, CLK, CLR : in std_logic := 'U'; Q : out std_logic);
  end component;

  component DFP1B
    port(D, CLK, PRE : in std_logic := 'U'; Q : out std_logic);
  end component;

    signal REG0, REG1, REG2, REG3, REG4, REG5, REG6, REG7, 
        \REG8\, REG9 : std_logic;

begin 

    REG8 <= \REG8\;

    REGFF_6 : DFC1B
      port map(D => REG5, CLK => CLK, CLR => CLR, Q => REG6);
    
    REGFF_5 : DFC1B
      port map(D => REG4, CLK => CLK, CLR => CLR, Q => REG5);
    
    REGFF_9 : DFC1B
      port map(D => \REG8\, CLK => CLK, CLR => CLR, Q => REG9);
    
    REGFF_8 : DFC1B
      port map(D => REG7, CLK => CLK, CLR => CLR, Q => \REG8\);
    
    REGFF_4 : DFC1B
      port map(D => REG3, CLK => CLK, CLR => CLR, Q => REG4);
    
    REGFF_3 : DFC1B
      port map(D => REG2, CLK => CLK, CLR => CLR, Q => REG3);
    
    REGFF_7 : DFC1B
      port map(D => REG6, CLK => CLK, CLR => CLR, Q => REG7);
    
    REGFF_0 : DFP1B
      port map(D => REG9, CLK => CLK, PRE => CLR, Q => REG0);
    
    REGFF_2 : DFC1B
      port map(D => REG1, CLK => CLK, CLR => CLR, Q => REG2);
    
    REGFF_1 : DFC1B
      port map(D => REG0, CLK => CLK, CLR => CLR, Q => REG1);
    

end DEF_ARCH; 
